### A free/open-source library for quantitative finance

Public Member Functions
AnalyticPerformanceEngine Class Reference
Cliquet option engines

Pricing engine for performance options using analytical formulae. More...

`#include <ql/pricingengines/cliquet/analyticperformanceengine.hpp>`

Inheritance diagram for AnalyticPerformanceEngine:
[legend]

List of all members.

## Public Member Functions

| AnalyticPerformanceEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process)
void | calculate () const

## Detailed Description

Pricing engine for performance options using analytical formulae.

Tests:
  the correctness of the returned greeks is tested by reproducing numerical derivatives.